> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Request

> Create a timeoff request



## OpenAPI

````yaml post /staff/timeoff/{workspaceId}/{staffId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/timeoff/{workspaceId}/{staffId}:
    post:
      tags:
        - Staff
      description: Create a timeoff request
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: staffId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - start
                - end
                - notes
                - type
              properties:
                start:
                  type: string
                  format: date-time
                end:
                  type: string
                  format: date-time
                notes:
                  type: string
                type:
                  type: string
                  enum:
                    - medical
                    - mental_health
                    - personal
                    - holiday
                    - moving_house
                    - education
                    - religious
                    - bereavement
                    - military
                    - other
                other:
                  type: string
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  start:
                    type: string
                    format: date-time
                  end:
                    type: string
                    format: date-time
                  notes:
                    type: string
                  type:
                    type: string
                    enum:
                      - medical
                      - mental_health
                      - personal
                      - holiday
                      - moving_house
                      - education
                      - religious
                      - bereavement
                      - military
                      - other
                  status:
                    type: string
                    enum:
                      - pending
                      - approved
                      - denied
                      - cancelled
                  other:
                    type: string
                  user:
                    type: string
                  workspace:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  _id:
                    type: string
                  state_changed_by:
                    type: string
                  requested_by:
                    type: string
                required:
                  - start
                  - end
                  - notes
                  - type
                  - status
                  - user
                  - workspace
                  - createdAt
                  - updatedAt
                  - _id
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````